summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Hunter Sezen2015-12-31 06:57:25 +0100
committer Willy Sudiarto Raharjo2015-12-31 06:57:25 +0100
commit30513f3ee9fc26a8cee4474bfef169be0f60c5b0 (patch)
tree32b3f35d3d9c67b49bac6180c239d5881cd02cdc /games
parent79ad6af3127330e0c29aba9afaad21096aa4f6d1 (diff)
downloadslackbuilds-30513f3ee9fc26a8cee4474bfef169be0f60c5b0.tar.gz
games/zsdx: Added (Zelda fangame for the solarus engine).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/zsdx/README15
-rw-r--r--games/zsdx/doinst.sh3
-rw-r--r--games/zsdx/slack-desc19
-rw-r--r--games/zsdx/zsdx.SlackBuild116
-rw-r--r--games/zsdx/zsdx.info10
5 files changed, 163 insertions, 0 deletions
diff --git a/games/zsdx/README b/games/zsdx/README
new file mode 100644
index 0000000000..9e3f615cc8
--- /dev/null
+++ b/games/zsdx/README
@@ -0,0 +1,15 @@
+The Legend of Zelda: Mystery of Solarus DX is set to be a direct sequel to
+The Legend of Zelda: A Link to the Past on the SNES, using the same graphics
+and game mechanisms. Zelda Mystery of Solarus DX is the first game made with
+the Solarus engine and in fact, Solarus was primarily designed for this game.
+
+Zelda: Mystery of Solarus DX is actually an enhanced remake of a first creation,
+Zelda: Mystery of Solarus. This first creation, developed with RPG Maker 2000,
+was released in 2002 and was only available in French. The DX project was unveiled
+on April 1st, 2008. Its objectives are to correct the many flaws of its predecessor:
+the battle system, the bosses, the use of items, etc.
+
+However, that is hardly all of it as new graphical elements and musics will accompany
+you throughout the game. This Deluxe version will be the opportunity for players to
+relive the adventure in a brand new way, or to discover it for the first time if you’ve
+never played it before!
diff --git a/games/zsdx/doinst.sh b/games/zsdx/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/zsdx/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/zsdx/slack-desc b/games/zsdx/slack-desc
new file mode 100644
index 0000000000..9cb356cfc8
--- /dev/null
+++ b/games/zsdx/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+zsdx: zsdx (Zelda fangame for the solarus engine)
+zsdx:
+zsdx: The Legend of Zelda: Mystery of Solarus DX is set to be a direct
+zsdx: sequel to The Legend of Zelda: A Link to the Past on the SNES, using
+zsdx: the same graphics and game mechanisms. Zelda Mystery of Solarus DX is
+zsdx: the first game made with the Solarus engine and in fact, Solarus was
+zsdx: primarily designed for this game.
+zsdx:
+zsdx: Homeage: http://www.solarus-games.org/
+zsdx:
+zsdx:
diff --git a/games/zsdx/zsdx.SlackBuild b/games/zsdx/zsdx.SlackBuild
new file mode 100644
index 0000000000..0af528d4af
--- /dev/null
+++ b/games/zsdx/zsdx.SlackBuild
@@ -0,0 +1,116 @@
+#!/bin/sh
+
+# Slackware build script for Zelda: Mystery of Solarus DX
+
+# Copyright 2015 Hunter Sezen California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=zsdx
+VERSION=${VERSION:-1.10.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$PRGNAM-$VERSION.tar.gz || tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+# Write a desktop file
+mkdir -p $PKG/usr/share/applications
+cat > $PKG/usr/share/applications/$PRGNAM.desktop <<EOF
+[Desktop Entry]
+Name=Zelda: Mystery of Solarus DX
+Exec=$PRGNAM
+Icon=${PRGNAM}_icon
+Type=Application
+Comment=Zelda: Mystery of Solarus DX (action rpg game)
+Categories=Game;ActionGame;
+EOF
+
+# Add missing icons to package
+for size in $(find /usr/share/icons/hicolor -type d -mindepth 1 -maxdepth 1 -exec basename {} \; | cut -f1 -d"x"); do
+ if ls build/icons/*${size}* 1>/dev/null 2>/dev/null; then
+ mkdir -p $PKG/usr/share/icons/hicolor/${size}x${size}/apps
+ cp -a build/icons/*${size}*.png \
+ $PKG/usr/share/icons/hicolor/${size}x${size}/apps/${PRGNAM}_icon.png
+ fi
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a ChangeLog license.txt readme.txt work/*.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/zsdx/zsdx.info b/games/zsdx/zsdx.info
new file mode 100644
index 0000000000..a85d592603
--- /dev/null
+++ b/games/zsdx/zsdx.info
@@ -0,0 +1,10 @@
+PRGNAM="zsdx"
+VERSION="1.10.3"
+HOMEPAGE="http://www.solarus-games.org/"
+DOWNLOAD="https://github.com/christopho/zsdx/archive/zsdx-1.10.3.tar.gz"
+MD5SUM="616e0f67b3ce4266a0036271804cbd92"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="solarus"
+MAINTAINER="Hunter Sezen"
+EMAIL="ovariegata@yahoo.com" \ No newline at end of file